メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://docs.apigo.ai/llms.txt

Use this file to discover all available pages before exploring further.

推奨エンドポイント

最低限のお願い

{
  "model": "gpt-4.1",
  "input": "Summarize the core value of ApiGo in 3 bullet points."
}

cURLの例

curl https://maas.apigo.ai/v1/responses \
  -H "Authorization: Bearer $YOUR API KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "gpt-4.1",
    "input": "Summarize the core value of ApiGo in 3 bullet points."
  }'

Python の例

from openai import OpenAI

client = OpenAI(
    base_url="https://maas.apigo.ai/v1",
    api_key="<YOUR API KEY>",
)

response = client.responses.create(
    model="gpt-4.1",
    input="Summarize the core value of ApiGo in 3 bullet points.",
)

print(response.output_text)

Node.js の例

import OpenAI from "openai";

const client = new OpenAI({
  baseURL: "https://maas.apigo.ai/v1",
  apiKey: process.env.YOUR API KEY,
});

const response = await client.responses.create({
  model: "gpt-4.1",
  input: "Summarize the core value of ApiGo in 3 bullet points."
});

console.log(response.output_text);

ベストプラクティス

  • ツールやマルチモーダル入力に成長する可能性のある新しい統合には、responses を推奨します
  • 毎ターン履歴全体を再送信するのではなく、previous_response_id を再利用します。
  • output_textoutput[] の両方を中心にパーサーを構築します